package com.ruoyi.web.arap.service;

import com.ruoyi.web.arap.domain.ArapOffset;
import com.ruoyi.web.arap.domain.vo.ArapOpenPayVo;
import com.ruoyi.web.arap.domain.vo.ArapOrderOpenVo;

import java.util.List;

public interface IArapOffsetService {
    List<ArapOpenPayVo> listOpenPay(ArapOffset query);

    List<ArapOrderOpenVo> listOrderOpen(String orgId, String custNo, java.util.Date startDate, java.util.Date endDate, String remark);

    ArapOffset getOffset(Long id, String orgId);

    List<ArapOffset> listOffset(ArapOffset query);

    int saveOffset(ArapOffset form, String orgId, String operator);

    int reverseOffset(ArapOffset form, String orgId, String operator);
}

